package com.gic.haoban.manage.web.vo.clerktask;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;

public class TaskPlanDetailAwardVO implements Serializable {

    /**id*/
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long awardId;
    /**1定额 2阶梯 3排名*/
    private int awardMode;
    /**0创作/召回数/好友数 1播放 2互动 3涨粉*/
    private int awardType;
    /**0内容单篇奖励 1内容累计奖励*/
    private int contentAwardType;
    /**1点赞数 2收藏数 3分享数 4评论数*/
    private String contentDataType;
    /**开启现金1是0否*/
    private int cashFlag;
    /**现金值单位(分)*/
    private int cash;
    /**礼品1开0关*/
    private int giftFlag;
    /**[{"name":"礼品名","num":1}]*/
    private String giftJson;
    /**完成数/排名-开始*/
    private int taskNumStart;
    /**完成数/排名-结束*/
    private int taskNumEnd;
    /**最多奖励次数*/
    private int maxTimes;
    /**排序*/
    private int sort;

    public Long getAwardId() {
        return awardId;
    }

    public void setAwardId(Long awardId) {
        this.awardId = awardId;
    }

    public int getAwardMode() {
        return awardMode;
    }

    public void setAwardMode(int awardMode) {
        this.awardMode = awardMode;
    }

    public int getAwardType() {
        return awardType;
    }

    public void setAwardType(int awardType) {
        this.awardType = awardType;
    }

    public int getContentAwardType() {
        return contentAwardType;
    }

    public void setContentAwardType(int contentAwardType) {
        this.contentAwardType = contentAwardType;
    }

    public String getContentDataType() {
        return contentDataType;
    }

    public void setContentDataType(String contentDataType) {
        this.contentDataType = contentDataType;
    }

    public int getCashFlag() {
        return cashFlag;
    }

    public void setCashFlag(int cashFlag) {
        this.cashFlag = cashFlag;
    }

    public int getCash() {
        return cash;
    }

    public void setCash(int cash) {
        this.cash = cash;
    }

    public int getGiftFlag() {
        return giftFlag;
    }

    public void setGiftFlag(int giftFlag) {
        this.giftFlag = giftFlag;
    }

    public String getGiftJson() {
        return giftJson;
    }

    public void setGiftJson(String giftJson) {
        this.giftJson = giftJson;
    }

    public int getTaskNumStart() {
        return taskNumStart;
    }

    public void setTaskNumStart(int taskNumStart) {
        this.taskNumStart = taskNumStart;
    }

    public int getTaskNumEnd() {
        return taskNumEnd;
    }

    public void setTaskNumEnd(int taskNumEnd) {
        this.taskNumEnd = taskNumEnd;
    }

    public int getMaxTimes() {
        return maxTimes;
    }

    public void setMaxTimes(int maxTimes) {
        this.maxTimes = maxTimes;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }
}
